# Suckless

Suckless, software that sucks less, is a type of [software](software.md), as well as an organization (http://suckless.org/), that tries to adhere to a high technological  minimalism, freedom and hackability, and opposes so called [bloat](bloat.md) which has been creeping into most "modern" software. It is related to [Unix philosophy](unix_philosophy.md) and [KISS](kiss.md).

Notable suckless promoters include [Luke Smith](luke_smith.md) and [Mental Outlaw](mental_outlaw.md).

## Attributes

- Extreme minimalism.
- Configuration of software is part of its source code (`config.h`) and change of this configuration requires recompiling the software (which is extremely easy with suckless software). This removes the need for dealing with config files which requires special libraries, file systems and extra code.
- Mainly using two programming languages: C for compiled programs amd POSIX shell for scripting.
- Forking by default, software is distributed in source format, every user is supposed to create a personal customized fork and compile the software himself.
- Mods (extension/addons) are implemented and distributed as patch files.
- Permissive licensing, usually MIT.

## History

TODO :)

## Projects

Notable projects developed by the suckless group include:

- dwm
- st
- dmenu
- surf